CHGRP(1)

NUME
chgrp - schimbă grupul căruia îi aparțin fișierele sau dosarele

SINOPSIS
chgrp [OPȚIUNE]... GRUP FIȘIER...
chgrp [OPȚIUNE]... --reference=FIȘIER_REF FIȘIER...

DESCRIERE

Schimbă grupul fiecărui FIȘIER în GRUP. Cu --reference, schimbă grupul fiecărui FIȘIER cu cel al FIȘIER_REF.

-c, --changes
    precum --verbose, dar raportează numai atunci când se face o modificare

-f, --silent, --quiet
    suprimă majoritatea mesajelor de eroare

-v, --verbose
    descrie în amănunt acțiunile sau non-acțiunile luate pentru fiecare fișier sau dosar procesat

--dereference
    afectează referentul fiecărei legături simbolice (aceasta este valoarea implicită), mai degrabă decât legătura simbolică în sine

-h, --no-dereference
    afectează legăturile simbolice în locul oricărui fișier la care se face referire (util numai pe sistemele care pot schimba dreptul de proprietate asupra unei legături simbolice)

--from=PROPRIETARUL_ACTUAL:GRUPUL_ACTUAL
    modifică proprietatea fiecărui fișier numai dacă proprietarul și/sau grupul actual corespund celor specificate aici. Oricare dintre acestea poate fi omis, caz în care nu este necesară o potrivire pentru atributul omis.

--no-preserve-root
    nu tratează „/” deosebit (valoarea implicită)

--preserve-root
    eșuează la operarea recursivă pe „/”

--reference=FIȘIER_REF
    utilizează proprietarul din FIȘIER_REF în loc de valorile specificate; FIȘIER_REF este întotdeauna dereferențiat dacă este o legătură simbolică.

-R, --recursive
    operează asupra fișierelor și directoarelor în mod recursiv

Următoarele opțiuni modifică modul de parcurgere a unei ierarhii atunci când este specificată de asemenea opțiunea -R. Dacă sunt specificate mai multe opțiuni, numai cea finală are efect. -P este opțiunea implicită.

-H  dacă un argument din linia de comandă este o legătură simbolică la un dosar, o urmărește

-L  urmărește fiecare legătură simbolică la un dosar, ce este întâlnită

-P  nu urmărește nicio legătură simbolică

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

EXEMPLE

chgrp staff /u
    Schimbă grupul lui /u la „staff”.

chgrp -hR staff /u
    Schimbă grupul lui /u și al subdosarelor la „staff”.

AUTOR
Scris de David MacKenzie și Jim Meyering.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

DREPTURI DE AUTOR
Drepturi de autor © 2025 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
chown(1), chown(2)

Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/chgrp>
sau local rulând comanda: «info '(coreutils) chgrp invocation'»

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Laurențiu Buzdugan <lbuz@rolix.org> și Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.